# Generated by Django 3.0.2 on 2020-01-29 02:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('vacancy', '0004_abilitytest'),
    ]

    operations = [
        migrations.AddField(
            model_name='vacancy',
            name='abilities',
            field=models.ManyToManyField(blank=True, related_name='vacancies', to='vacancy.AbilityTest', verbose_name='Тесты'),
        ),
        migrations.CreateModel(
            name='CandidateAbilityTest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('candidate_id', models.IntegerField()),
                ('ability_test', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vacancy.AbilityTest')),
                ('vacancy', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vacancy.Vacancy')),
            ],
        ),
        migrations.AddField(
            model_name='vacancy',
            name='candidate_tests',
            field=models.ManyToManyField(blank=True, related_name='_vacancy_candidate_tests_+', through='vacancy.CandidateAbilityTest', to='vacancy.AbilityTest', verbose_name='Тесты кандидатов'),
        ),
    ]
